#pragma once
#include "ChunkModelBuilder.h"
#include "Area.h"

class TransparentChunkGroundModel : public ChunkModelBuilder
{
private:
    __int64 calculateLight(Framework::Vec3<float> vertexPos,
        Framework::Vec3<int> blockPos,
        Direction direction);

public:
    TransparentChunkGroundModel(FactoryCraftModel* target, Chunk* zChunk);
    void buildModel() override;
    bool updateLightning() override;
};